.TH xphoon 1 "6 April 1999"
.SH NAME
xphoon - displays the PHase of the mOON on the root window
.SH SYNOPSIS
.B xphoon
.RB [ -b ]
.RB [ -t
.I interval
.RB [ -i ]]
.RB [ -s ]
.RB [ -display
.IR name ]
.SH DESCRIPTION
.PP
.I Xphoon
sets the X root window to a picture of the moon in its current phase,
including the partial lighting of the dark side by reflected earthlight.
.SH OPTIONS
.TP
.B -b
Defeats the earthlight feature, forcing the dark side to be black.
.TP
.B -t
Have
.I xphoon
keep running and update the picture every
.I interval
minutes.
(Normally,
.I xphoon
just sets the root picture and exits.)
.TP
.B -i
Forks a background process and prints the process-id to stdout.
Useful if you want to make menu commands to refresh or kill
.IR xphoon .
.TP
.B -s
Rotate the whole picture 180 degrees, resulting in a moon picture as viewed
fom the Southern hemisphere.
.TP
.B -demo
Demonstrate
.I xphoon
by rapidly stepping through moon phases.
.SH NOTES
The original motivation for this program was that xsetroot was
.B too slow.
Loading a full-screen bitmap took about 15 seconds.
We made a trivial program that had fullmoon.bitmap compiled in, and
it ran in less than a second.
(And incidentally, the executable was smaller than fullmoon.xbm.)
Then later we came up with the phase hacking, the earthlight, and the
auto-scaling.
.SH "SEE ALSO"
.IR phoon (1),
.IR xsetroot (1)
.SH AUTHORS
Copyright (C) 1988, 1991 by Jef Poskanzer and Craig Leres.
.\" Permission to use, copy, modify, and distribute this software and its
.\" documentation for any purpose and without fee is hereby granted, provided
.\" that the above copyright notice appear in all copies and that both that
.\" copyright notice and this permission notice appear in supporting
.\" documentation.  This software is provided "as is" without express or
.\" implied warranty.

The moon-phase computation is from "moontool.c" by John Walker.
